Subject: bug#16791: closed (Re: bug#16791: w3m fails to do any SSL certificate checking)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Feb 2016 21:17:02 +0000

Your bug report

#16791: w3m fails to do any SSL certificate checking

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16791: w3m fails to do any SSL certificate checking
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 10 Feb 2016 16:16:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 07, 2016 at 11:55:12PM -0500, Leo Famulari wrote:
> On Tue, Jan 05, 2016 at 11:32:14AM -0500, Leo Famulari wrote:
> > On Tue, Jan 05, 2016 at 12:35:57AM +0100, Ludovic Courtès wrote:

[...]

> > > What about using the latest upstream tarball, along with the patch
> > > above and probably the one that disables SSLv{2,3}?
> > 
> > I'll try that.
> 
> Mark, can you check if commit 62339e2d49 fixes this bug for you?

I believe this bug is fixed. Please re-open if that is not the case.

Subject: w3m fails to do any SSL certificate checking
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 18 Feb 2014 03:58:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In Guix, neither w3m nor emacs-w3m warn me when I visit an https URL
that uses a server certificate that is both self-signed and expired.
To make matters worse, if I ask for page information (with the '=' key),
it tells me that the certificate is valid.

On Debian, both w3m and emacs-w3m inform me when an SSL certificate is
invalid in some way, e.g. if it's expired or not signed by a certificate
authority in my trust store.

      Mark